<template>
  <div class="header">
      <div class="logo">
          <svg viewBox="0 0 250 250" fill="none" xmlns="http://www.w3.org/2000/svg">
            <rect width="250" height="250" fill="white"/>
            <path d="M84.4 125V55.2H88.1V121.7H120V125H84.4Z" fill="black"/>
            <path d="M118.4 156V86.2H145.5C151.367 86.2 155.8 87.9333 158.8 91.4C161.867 94.8 163.4 99.4333 163.4 105.3C163.4 111.167 161.867 115.833 158.8 119.3C155.8 122.7 151.367 124.4 145.5 124.4H122.1V156H118.4ZM122.1 121.1H145.5C147.833 121.1 149.867 120.733 151.6 120C153.333 119.267 154.767 118.3 155.9 117.1C157.1 115.833 157.967 114.367 158.5 112.7C159.1 111.033 159.4 109.3 159.4 107.5V103.1C159.4 101.3 159.1 99.5667 158.5 97.9C157.967 96.2333 157.1 94.8 155.9 93.6C154.767 92.3333 153.333 91.3333 151.6 90.6C149.867 89.8667 147.833 89.5 145.5 89.5H122.1V121.1Z" fill="black"/>
            <path d="M168.848 125.516C167.931 125.516 167.257 125.287 166.827 124.828C166.426 124.369 166.225 123.767 166.225 123.022V122.463C166.225 121.718 166.426 121.116 166.827 120.657C167.257 120.198 167.931 119.969 168.848 119.969C169.765 119.969 170.425 120.198 170.826 120.657C171.256 121.116 171.471 121.718 171.471 122.463V123.022C171.471 123.767 171.256 124.369 170.826 124.828C170.425 125.287 169.765 125.516 168.848 125.516Z" fill="black"/>
            <rect x="118.4" y="156" width="3.7" height="12" fill="black"/>
        </svg>
      </div>
      <div class="navbar">
          <ul>
              <router-link :class="{
                  'disable-link' : !getPath('home-page'),
                  'active-link' : getPath('home-page')
              }" to="/">Accueil</router-link>

              <router-link :class="{
                  'disable-link' : !getPath('nos-services'),
                  'active-link' : getPath('nos-services')
              }" to="/services">Mes services</router-link>

              <router-link :class="{
                  'disable-link' : !getPath('reserver'),
                  'active-link' : getPath('reserver')
              }" to="/reserver">Réserver</router-link>

              <router-link :class="{
                  'disable-link' : !getPath('temoignage'),
                  'active-link' : getPath('temoignage')
              }" to="/temoignage">Témoignages</router-link>

              <router-link :class="{
                  'disable-link': !getPath('equipe'),
                  'active-link': getPath('equipe')
              }" to="/equipe">L'équipe</router-link>

              <router-link :class="{
                  'disable-link': !getPath('contact'),
                  'active-link': getPath('contact')
              }" to="/contact">Contact</router-link>
          </ul>
      </div>
  </div>
</template>

<script>
export default {
    name: "Header",
    methods:{
        getPath(currentLink){
            return this.$route.name == (currentLink)
        }
    }
}
</script>

<style lang="scss" scoped>

@import "../style/default";

*{
    margin:0;
    padding: 0;
}

.header{

    display: flex;

    justify-content: space-between;

    align-items: center;

    height: 100px;

    width: 100%;


    .logo{
        svg{
            width: 100px;
            height: 100%;
        }
    }

    .navbar{

        width: 50%;

        margin-right: 1%;

        ul{
            display: flex;
            justify-content: space-between;

            .disable-link{

                position: relative;
                
                list-style: none;
                font-family: $default_font;
                font-size: 1.3em;

                text-decoration: none;

                color: black;

                cursor: pointer;

                &:visited{
                    color: black;
                }

                &::after{
                    
                    display: block;

                    content: '';

                    position: absolute;

                    bottom: -5px;

                    width: 0%;
                    height: 2px;

                    background: rgb(166,224,166);
                    background: linear-gradient(to bottom top, rgba(166,224,166,1) 0%, rgba(84,125,84,1) 100%);


                    transition: .8s width;
                }

                &:hover::after{
                    width:100%;
                }

            }

            .active-link{
                @extend .disable-link;
                &:after{
                    width: 100%;
                }
            }
        }
    }
}



</style>